import request from '@/utils/request'
import constant from '@/constant'

function list() {
  return request.post(constant.serverUrl + "/warningPusher/list");
}

function pageList(formData) {
  return request.post(constant.serverUrl + "/warningPusher/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/warningPusher/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/warningPusher/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/warningPusher/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/warningPusher/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/warningPusher/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/warningPusher/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  list, create, edit, add, update, remove, batchRemove, pageList
}